<div class="title-group">
    <h1 class="mat-h1">New Transaction</h1>
    <mat-divider fxFlex="1 0"></mat-divider>
</div>

<div class="inner-wrapper">
    <form id="transaction-form" [formGroup]="transactionForm" (ngSubmit)="submit()" novalidate>
        <mat-card>
            <div class="controlers-wrapper">
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="BANK" formControlName="bank" readonly="true">
                    <mat-error *ngIf="handleError('bank', 'required')">
                        You must provide a valid <strong>bank</strong>
                    </mat-error>
                </mat-form-field>
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="BRANCH" formControlName="branch">
                    <mat-error *ngIf="handleError('branch', 'required')">
                        You must provide a valid <strong>branch</strong>
                    </mat-error>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Type</mat-label>
                    <mat-select formControlName="type">
                        <mat-option *ngFor="let type of transactionTypes" [value]="type">
                            {{ type }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="CPF" formControlName="cpf" mask="000.000.000-00">
                    <mat-error *ngIf="handleError('cpf', 'required')">
                        You must provide a valid <strong>CPF</strong>
                    </mat-error>
                </mat-form-field>
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="NUMBER ACCOUNT" formControlName="number" mask="000000">
                    <mat-error *ngIf="handleError('number', 'required')">
                        You must provide a valid <strong>number account</strong>
                    </mat-error>
                </mat-form-field>
                <mat-form-field class="example-full-width">
                    <input matInput placeholder="AMOUNT" formControlName="amount">
                    <mat-error *ngIf="handleError('amount', 'required')">
                        You must provide a valid <strong>amount</strong>
                    </mat-error>
                </mat-form-field>
            </div>
        </mat-card>

        <mat-card>
            <div class="full-wrapper button-wrapper">
                <div class="button-wrapper">
                    <button mat-flat-button color="warn" (click)="submit()" type="button">Submit</button>
                    <button mat-flat-button color="war" (click)="resetForm()" type="button">Clear</button>
                </div>
            </div>
        </mat-card>
    </form>
</div>